#ifndef MODULE_OTHER_ALARM_H
#define MODULE_OTHER_ALARM_H
/**
 * @brief 简要说明
 * @author 戴月腾
 * @date 2018-10-11
 */

#include "module_singleton_base.h"
#include "card.h"


class module_other_alarm:public singleton_base<module_other_alarm>
{
private:
    friend class singleton_base<module_other_alarm>;
    module_other_alarm()
    {
    }

public:
    static void power_lower_serious(std::shared_ptr<card_location_base> card_ptr);

    static void power_nomarl(std::shared_ptr<card_location_base> card_ptr);
};

#endif // MODULE_OTHER_ALARM_H
